@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;500;700;900&display=swap');

* {
  font-family: 'Noto Sans JP', sans-serif;
  font-style: normal;
}

:root {
  --carkensaku: #fdb927;
  --carkensaku-secondary: #552580;
  --carkensaku-secondary-subtle: #5d2f8543;
  --carkensaku-subtle: #fef20542;
  --green: #17AF0A;
  --red: #dc3545;
  --gray: #dee2e6;
  --dark-gray: #9f9fa0;
  --padding-public: 15px;
  --body: #22262b;
  --green-plant: #74BD51;
  --primary: #316BF4;
  --orange: #E75335;
  --main: #f0f4f9;
  --light-purple: #E9EEFF;
  --subtle-purple: #95A9FD;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #acacac !important;
  opacity: 1 !important;
  /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #acacac !important;
  opacity: 1 !important;
  /* Firefox */
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #acacac !important;
  opacity: 1 !important;
  /* Firefox */
}

.bg-carkensaku {
  background-color: var(--carkensaku) !important;
}

.bg-carkensaku-secondary {
  background-color: var(--carkensaku-secondary) !important;
}

.table-carkensaku {
  /* background-color: var(--carkensaku) !important; */
  --bs-table-bg: var(--carkensaku);
}

.bg-carkensaku-subtle {
  background-color: var(--carkensaku-subtle) !important;
}

.bg-carkensaku-primary {
  background-color: var(--primary) !important;
}

.bg-carkensaku-green-plant {
  background-color: var(--green-plant) !important;
}

.bg-carkensaku-orange {
  background-color: var(--orange) !important;
}

.bg-light-purple {
  background-color: var(--light-purple) !important;
}

input.bg-light-purple:disabled,
select.bg-light-purple:disabled {
  color: #787777 !important;
}

.bg-subtle-purple {
  background-color: var(--subtle-purple) !important;
}

.border-carkensaku {
  border-color: var(--carkensaku) !important;
}

.border-carkensaku-secondary {
  border-color: var(--carkensaku-secondary) !important;
}

.text-carkensaku {
  color: var(--carkensaku) !important;
}

.text-carkensaku-secondary {
  color: var(--carkensaku-secondary) !important;
}

.text-carkensaku-red {
  color: var(--red) !important;
}

.btn-carkensaku {
  background-color: var(--carkensaku);
}

.btn-carkensaku:hover {
  background-color: var(--carkensaku-subtle);
}

.btn-carkensaku-secondary {
  background-color: var(--carkensaku-secondary);
}

.btn-carkensaku-secondary:hover {
  background-color: var(--carkensaku-secondary-subtle);
}

.btn-card {
  border: 1px solid var(--carkensaku);
  background-color: white;
  transition: background-color 0.3s ease-in-out 0s;
}

.btn-card:hover {
  background-color: var(--carkensaku);
}

.border-bottom-dot {
  border-bottom: 2px dotted gray;
}

.border-end-dot {
  border-right: 2px dotted gray;
}

.frame-picture {
  height: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  border: 1px solid var(--gray);
}

.mt-owl {
  padding-top: 20px;
}

.container-mobile {
  max-width: 576px;
}

.container-body {
  max-width: 992px;
}

.container-body-form {
  max-width: 1140px;
}

.vh-100 {
  height: 100%;
  min-height: 100vh;
}

.radio-color label {
  height: 35px;
  width: 35px;
}

.radio-color input[type=radio]:checked+label {
  border: 4px solid var(--carkensaku) !important;
}

.radio-color input[type=radio]:checked+label i {
  display: inline-block !important;
}

.radio-color i {
  display: none;
}

.border-dot-top {
  border-top: 2px dashed var(--carkensaku);
}

.border-dot-bottom {
  border-bottom: 2px dashed var(--carkensaku);
}

.extra-small {
  font-size: 0.75rem;
}

.normal-small {
  font-size: 1rem;
}

[v-cloak] {
  display: none;
}

.button-radio .label-button input {
  display: none;
}

.h-100 {
  height: 100%;
}

.img-recommendation {
  width: auto;
  max-height: 100%;
  height: 50px;
}

.shadow-bottom {
  box-shadow: 0 .125rem .25rem grey;
}

.ribbon-container {
  display: inline-block;
  left: 13px;
  top: 0px;
  height: 100px;
  width: 100px;
  position: absolute;
  overflow: hidden;
  text-align: center;
}

.ribbon {
  width: 150px;
  height: 25px;
  background-color: var(--carkensaku);
  color: var(--body);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: -50px;
  margin-top: 13px;
  -webkit-transform: rotate(-47deg);
  -ms-transform: rotate(-47deg);
  -o-transform: rotate(-47deg);
  transform: rotate(-47deg);
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  text-transform: uppercase;
  font-weight: 700;
}

.ribbon-container-np {
  display: inline-block;
  left: 0px;
  top: 0px;
  height: 100px;
  width: 100px;
  position: absolute;
  overflow: hidden;
  text-align: center;
}

.ribbon-np {
  width: 150px;
  height: 40px;
  background-color: var(--carkensaku);
  color: var(--body);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: -50px;
  margin-top: 13px;
  -webkit-transform: rotate(-47deg);
  -ms-transform: rotate(-47deg);
  -o-transform: rotate(-47deg);
  transform: rotate(-47deg);
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  text-transform: uppercase;
  font-weight: 700;
}

.ribbon-container-np.rb-300 {
  /* width: 100%; */
  /* height: 100%; */
}

.rb-300 .ribbon-np {
  width: 150px;
  margin-left: -40px;
  margin-top: 13px;
}



.ribbon-container-triangle {
  display: inline-block;
  left: 0px;
  top: 0px;
  height: 120px;
  width: 120px;
  position: absolute;
  overflow: hidden;
  text-align: center;
  border-top-left-radius: 10px;
}

.ribbon-triangle {
  width: 140px;
  height: 70px;
  background-color: var(--carkensaku);
  color: var(--body);
  display: flex;
  align-items: end;
  justify-content: center;
  margin-left: -50px;
  margin-top: -15px;
  -webkit-transform: rotate(-47deg);
  -ms-transform: rotate(-47deg);
  -o-transform: rotate(-47deg);
  transform: rotate(-47deg);
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  text-transform: uppercase;
  font-weight: 700;
  padding-bottom: 12px;
}

.brand-xxs {
  display: block;
  font-size: 0.9rem;
}

.brand-xs {
  display: none;
}

.brand-sm {
  display: none;
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .brand-xxs {
    display: none;
  }

  .brand-xs {
    display: block;
  }

  .brand-sm {
    display: none;
  }
}

@media (min-width: 768px) {
  .brand-xxs {
    display: none;
  }

  .brand-xs {
    display: none;
  }

  .brand-sm {
    display: block;
  }
}

@media screen and (max-width: 767.98px) {
  .ribbon-triangle {
    width: 115px;
    height: 55px;
    background-color: var(--carkensaku);
    color: var(--body);
    display: flex;
    align-items: end;
    justify-content: center;
    margin-left: -50px;
    margin-top: -15px;
    -webkit-transform: rotate(-47deg);
    -ms-transform: rotate(-47deg);
    -o-transform: rotate(-47deg);
    transform: rotate(-47deg);
    -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-transform: uppercase;
    font-weight: 700;
    padding-bottom: 2px;
  }
}

/*===============================
Image Action
=================================*/

.image-action i {
  position: absolute;
  top: 15px;
  right: 15px;
}

.icon-action {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 25px;
  height: 25px;
  background: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

/*===============================
Navbar & Nav Tabs
=================================*/

.tabs-carkensaku .nav-item .active {
  border-bottom: 3px solid var(--carkensaku);
}

.tabs-carkensaku .nav-link {
  color: #000000;
}

.tabs-carkensaku .nav-item button {
  background: transparent;
  border: none;
}

.tabs-picture .nav-item .active {
  background: var(--carkensaku);
}

.tabs-picture .nav-item:hover {
  background: #f5f5f5;
}


/*===============================
Content List
=================================*/

.negotiation-icon {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  font-size: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.negotiation-wrapper img {
  opacity: 0.5;
}

.carkensaku-list .list-group-item.active {
  background-color: var(--carkensaku);
  border-color: var(--carkensaku);
  color: var(--body);
}

.carkensaku-list .list-group-item-carkensaku {
  background-color: var(--carkensaku-subtle);
}

/*===============================
Sidebar
=================================*/

.radio-label-action {
  position: relative;
  font-size: 0.80rem;
}

.radio-label-action label {
  box-shadow: 0 .125rem .25rem grey;
}

.radio-label-action input[type=radio]:checked+label {
  background-color: var(--carkensaku);
}

.radio-label-action label i {
  display: none;
  color: var(--red);
  font-size: 1rem;
}

.radio-label-action input[type=radio]:checked+label i {
  position: absolute;
  top: 0;
  right: 0;
  display: inline;
}

.color .radio-label-action label {
  width: 30px;
  height: 30px;
}

/*===============================
Component
=================================*/

a {
  text-decoration: none;
  color: black;
}

p {
  margin-bottom: 0px;
}

.cursor-pointer {
  cursor: pointer;
}

.icon-step {
  width: 75px;
  height: 75px;
}

.public-form .form-control {
  background-color: #EFEFEF !important;
  box-shadow: var(--bs-box-shadow-sm) !important;
}

/* .form-select {
  box-shadow: var(--bs-box-shadow-sm) !important;
} */


@media screen and (max-width: 767.98px) {
  .icon-step {
    width: 50px;
    height: 50px;
  }

  .form-select {
    width: 100% !important;
  }
}

.wc-10 {
  width: 10% !important;
}

.wc-20 {
  width: 20% !important;
}

.wc-30 {
  width: 30% !important;
}

.wc-40 {
  width: 40% !important;
}

.wc-50 {
  width: 50% !important;
}

.wc-60 {
  width: 60% !important;
}

.wc-70 {
  width: 70% !important;
}

.wc-80 {
  width: 80% !important;
}

.wc-90 {
  width: 90% !important;
}

.wc-100 {
  width: 100% !important;
}


.fs-title {
  font-size: 2.5rem;
}

.fs-title-small {
  font-size: 2rem;
}

.fs-subtitle {
  font-size: 1.5rem;
}

.fs-detail {
  font-size: 1rem;
}

.fs-small {
  font-size: 0.75rem;
}

@media (max-width: 768px) {
  .fs-title {
    font-size: 2rem;
  }

  .fs-title-small {
    font-size: 1.5rem;
  }

  .fs-subtitle {
    font-size: 1rem;
  }

  .fs-detail {
    font-size: 0.75rem;
  }

  .fs-small {
    font-size: 0.5rem;
  }
}

/*===============================
Carousel
=================================*/

.item {
  margin-left: 2px;
  margin-right: 2px;
}

.item img {
  border-radius: 10px;
}

.section-label {
  width: 300px;
  margin-left: -18px;
}

@media (max-width: 576px) {
  .item {
    margin-left: 0px;
    margin-right: 0px;
  }
}

/*===============================
Car Detail Page
=================================*/

.car-detail p:nth-child(odd) {
  background: #ffc107;
  border-bottom-left-radius: 5px;
  border-top-left-radius: 5px;
}

.car-detail p:nth-child(even) {
  background: white;
  border-bottom-right-radius: 5px;
  border-top-right-radius: 5px;
}

#thumbs .owl-nav {
  margin-top: 0px !important;
}

/*===============================
Bootstrap 5 Dropdown
=================================*/

.dropdown-toggle::after {
  content: "\f107" !important;
  font-family: 'FontAwesome';
  border: 0 !important;
  line-height: 1;
  vertical-align: 0;
}

.dropdown-toggle.show::after {
  content: "\f106" !important;
  font-family: 'FontAwesome';
  border: 0 !important;
  line-height: 1;
  vertical-align: 0;
}

/*===============================
Select 2
=================================*/

.select2-search__field {
  border-radius: 3px;
  padding-left: 30px !important;
  border: 1px solid #dee2e6 !important;
}

.select2-search--dropdown {
  position: relative;
  padding: 8px !important;
}

.select2-search--dropdown::after {
  content: '\f002';
  font-family: 'FontAwesome';
  position: absolute;
  top: 51%;
  left: 20px;
  color: inherit;
  display: block;
  font-size: 12px;
  margin-top: -6px;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  opacity: 0.6;
}

.select2-selection {
  border-color: #dee2e6 !important;
}

.select2-container .select2-selection--single {
  height: 31px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 31px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 31px !important;
}

.select2-dropdown {
  border-color: #dee2e6 !important;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
  display: none;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow::after {
  content: '\f106';
}

.select2-selection--single .select2-selection__rendered {
  padding-right: 31px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow::after {
  content: "\f107";
  font-family: 'FontAwesome';
  display: inline-block;
  position: absolute;
  top: 50%;
  right: 12px;
  margin-top: -8px;
  font-size: 16px;
  line-height: 1;
  color: inherit;
}

/*===============================
Nav
=================================*/

nav.bg-inventory {
  border-bottom: 6px solid #99001e;
}

.navbar li.active {
  background-color: #e8e8e8;
}


/*===============================
Datatables
=================================*/

#datatable tbody tr {
  cursor: pointer;
}

#datatable tbody tr:hover {
  background-color: #ffffac;
}

#datatable tbody tr td {
  background-color: transparent;
}

.dataTable>tbody>tr:hover {
  background-color: #fbdecd;
}

.dataTable>tbody>tr:hover {
  transition: background-color ease-in-out 0.15s;
}

.dataTable thead th:last-child {
  border-right: 1px solid #f8f9fa;
}

.dataTable td:first-child,
.dataTable th:first-child {
  border-left: 0 !important;
}

.dataTable td:last-child,
.dataTable th:last-child {
  border-right: 0 !important;
}

.dataTables_info {
  padding-top: 0 !important;
}

table.dataTable thead>tr>th.sorting:before,
table.dataTable thead>tr>th.sorting_asc:before,
table.dataTable thead>tr>th.sorting_desc:before,
table.dataTable thead>tr>th.sorting_asc_disabled:before,
table.dataTable thead>tr>th.sorting_desc_disabled:before,
table.dataTable thead>tr>td.sorting:before,
table.dataTable thead>tr>td.sorting_asc:before,
table.dataTable thead>tr>td.sorting_desc:before,
table.dataTable thead>tr>td.sorting_asc_disabled:before,
table.dataTable thead>tr>td.sorting_desc_disabled:before {
  content: "\f106" !important;
  font-family: 'FontAwesome';
}

table.dataTable thead>tr>th.sorting:after,
table.dataTable thead>tr>th.sorting_asc:after,
table.dataTable thead>tr>th.sorting_desc:after,
table.dataTable thead>tr>th.sorting_asc_disabled:after,
table.dataTable thead>tr>th.sorting_desc_disabled:after,
table.dataTable thead>tr>td.sorting:after,
table.dataTable thead>tr>td.sorting_asc:after,
table.dataTable thead>tr>td.sorting_desc:after,
table.dataTable thead>tr>td.sorting_asc_disabled:after,
table.dataTable thead>tr>td.sorting_desc_disabled:after {
  content: "\f107" !important;
  font-family: 'FontAwesome';
}

table.dataTable thead>tr>th.sorting_asc:before,
table.dataTable thead>tr>th.sorting_desc:after,
table.dataTable thead>tr>td.sorting_asc:before,
table.dataTable thead>tr>td.sorting_desc:after {
  opacity: 1 !important;
}

.dataTable {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
}

.dataTable td,
.dataTable th {
  vertical-align: middle !important;
}

.dataTable th {
  text-align: center !important;
}

.dataTables_filter label {
  position: relative;
}

.dataTables_filter input {
  margin-left: 0px !important;
  padding-left: 30px !important;
}

.dataTables_filter>label::after {
  content: "\f002";
  font-family: 'FontAwesome';
  font-size: 12px;
  display: inline-block;
  position: absolute;
  top: 30%;
  left: 10px;
  color: #999999;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

}

@media (min-width: 767px) {
  .dataTables_length {
    text-align: right !important;
  }

  .dataTables_filter {
    text-align: left !important;
  }
}

.processing {
  top: -20px;
}

.dataTables_paginate .page-link {
  font-size: 0.875rem;
}

/* END DATATABLES */


/* LOADER */
.loader {
  width: 100px;
  aspect-ratio: 1;
  display: grid;
}

.loader::before,
.loader::after {
  content: "";
  grid-area: 1/1;
  --c: no-repeat radial-gradient(farthest-side, var(--carkensaku) 92%, #0000);
  background:
    var(--c) 50% 0,
    var(--c) 50% 100%,
    var(--c) 100% 50%,
    var(--c) 0 50%;
  background-size: 20px 20px;
  animation: l12 1s infinite;
}

.loader::before {
  margin: 4px;
  filter: hue-rotate(45deg);
  background-size: 25px 25px;
  animation-timing-function: linear
}

@keyframes l12 {
  100% {
    transform: rotate(.5turn)
  }
}

.loader-wrapper {
  display: flex;
  position: fixed;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: #00000024;
  z-index: 1100;
  top: 0;
}

/* END LOADER */

/* LOADER 2 */

.lds-roller,
.lds-roller div,
.lds-roller div:after {
  box-sizing: border-box;
}

.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}

.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7.2px;
  height: 7.2px;
  border-radius: 50%;
  background: currentColor;
  margin: -3.6px 0 0 -3.6px;
}

.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}

.lds-roller div:nth-child(1):after {
  top: 62.62742px;
  left: 62.62742px;
}

.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}

.lds-roller div:nth-child(2):after {
  top: 67.71281px;
  left: 56px;
}

.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}

.lds-roller div:nth-child(3):after {
  top: 70.90963px;
  left: 48.28221px;
}

.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}

.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}

.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}

.lds-roller div:nth-child(5):after {
  top: 70.90963px;
  left: 31.71779px;
}

.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}

.lds-roller div:nth-child(6):after {
  top: 67.71281px;
  left: 24px;
}

.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}

.lds-roller div:nth-child(7):after {
  top: 62.62742px;
  left: 17.37258px;
}

.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}

.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12.28719px;
}

@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* END LOADER */

/* OWL CAROUSEL */

.list-car .owl-nav {
  position: absolute;
  top: 40%;
  display: flex;
  justify-content: space-between;
  width: 100%;
  left: 0;
  padding-left: 25px;
  padding-right: 25px;
}

.list-car .owl-prev,
.list-car .owl-next {
  width: 35px;
  height: 35px;
  background: var(--carkensaku-secondary) !important;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 .125rem .25rem grey;
  -webkit-transition: background-color 0.5s;
  -moz-transition: background-color 0.5s;
  -ms-transition: background-color 0.5s;
  -o-transition: background-color 0.5s;
  transition: background-color 0.5s;
}

.list-car .owl-prev span,
.list-car .owl-next span {
  color: white;
}

.list-car .owl-prev:hover,
.list-car .owl-next:hover {
  background: var(--carkensaku-secondary-subtle) !important;

}

.list-car .owl-nav span {
  font-size: 30px;
  margin-top: -10px;
}

.list-car .owl-dots {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.list-car .owl-dots button {
  width: 25px;
  height: 10px;
  display: inline-block;
  background-color: var(--dark-gray);
  border-radius: 50rem;
  margin-left: 5px;
  margin-right: 5px;
  box-shadow: 0 .125rem .25rem grey;
}

.list-car .owl-dots .active {
  background-color: var(--carkensaku-secondary);
}

/* END OWL CAROUSEL */

#thumbs .owl-nav {
  display: none;
}